Resource Center/Network Service/Network Service Operations/EIP Operations
PUTEIP OperationsSince 0.6SynchronousAuth Required
ChangeEipState
ChangeEipState
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe EIP UUID.
Body Fields
changeeipstateObjectRequiredchangeeipstate request body object.
stateEventStringRequiredThe state event.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/eips/{uuid}/actions
/zstack/v1/eips/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/eips/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changeeipstate":{"stateEvent":"<stateEvent>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": { "name": "Test-EIP", "vmNicUuid": "8384e17c064a4b3f819421beb695891d", "vipUuid": "4ab30bbbf55f4bcda38acd573335d6d7", "state": "Enabled" } }Change History
This API has no change history records yet.
